cmake_minimum_required(VERSION 2.8.11)

include (libwolfssl)
include (libcivetweb)

project(libcivetweb)

ADD_DEFINITIONS(-DUSE_YASSL -DNO_SSL_DL)

file(
	GLOB
	source_files
	../../src/civetweb.c
	../../src/CivetServer.cpp
)


set(CMAKE_C_FLAGS "-W -Wall -O2 -Iinclude")

add_library(
        civetweb
        SHARED
        ${source_files}
)

target_link_libraries (civetweb 
	LINK_PUBLIC
	wolfssl
	pthread
	m
	)

target_include_directories (civetweb PUBLIC ${CMAKE_CURRENT_SOURCE_DIR})
